function Used()
	--script.Parent.CFrame = script.Parent.CFrame * CFrame.new(0,-0.03,0)
	script.Parent.Push:Play()
	wait(0.1)
	--script.Parent.CFrame = script.Parent.CFrame * CFrame.new(0,0.03,0)
end

script.Parent.Use.MouseClick:connect(Used)

